﻿
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Configuration
Imports System.Data
Imports System.Linq
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Xml.Linq

Partial Class ClaimApproval
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        DropDownList1.AutoPostBack = True
        If IsPostBack = False Then
            LoadClaims()
        End If
    End Sub

    Protected Sub DropDownList1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim claimRef As String = DropDownList1.SelectedValue
        If claimRef <> "" Then
            Dim facade As ModelFacade = New ModelFacade()
            Dim myClaim As ClaimDTO = facade.getClaimByRef(claimRef)
            myClaim.isApproved = True
            facade.updateClaim(myClaim)
            ClaimRefLabel.Text = "Claim reference " + myClaim.reference + " has been approved"
            LoadClaims()
        End If
    End Sub

    Private Sub LoadClaims()
        Dim facade As ModelFacade = New ModelFacade()
        Dim claimRefs = _
            From d In facade.getClaims("where approved = 'N'") Select d.reference
        DropDownList1.DataSource = (New String() {""}).Concat(claimRefs)
        DropDownList1.DataBind()
    End Sub
End Class
