﻿
Partial Class ClaimForm3
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session.IsNewSession() Then
            Response.Redirect("ClaimForm1.aspx")
        End If
        Dim facade As ModelFacade = New ModelFacade()
        Dim claimFormDTO As ClaimFormDTO = Session.Item("ClaimFormDTO")
        Dim claim As ClaimDTO = facade.createClaim(claimFormDTO)
        If claim.policyType = ("contents") Then
            PolicyTypeImage.ImageUrl = "contents.gif"
        Else
            PolicyTypeImage.ImageUrl = "buildings.gif"
        End If
        Reference.Text = claim.reference
        ClaimDate.Text = claim.claimDate
        Approved.Text = claim.isApproved
        Policy.Text = claim.policy.policyNumber
        Type.Text = claim.policy.policyType
        Amount.Text = claim.amount
        Description.Text = claim.Description
        Session.Abandon()
    End Sub
End Class

